Get tenant roles
curl --request GET \
--url https://staging.api.us.aptlydone.com/auth/v1/tenants/{id}/roles/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/auth/v1/tenants/{id}/roles/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/auth/v1/tenants/{id}/roles/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:12.794Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "955aa514-ab2c-4277-9b07-1e22761528b2",
"roleName": "so through",
"tenantId": "6d188158-b229-4acc-aea2-bae43e166f3a",
"description": "noisily provided which hourly black supposing bourgeoisie meaty integer yarmulke",
"isCustom": true,
"canDeactivate": true,
"status": "ACTIVE",
"isDeleted": false,
"deletedOn": "2025-04-01T19:45:37.028Z",
"isDeactivated": false,
"deactivatedOn": "2025-06-26T21:47:10.121Z",
"createdOn": "2026-01-12T08:23:02.411Z",
"updatedOn": "2026-01-12T07:18:22.373Z",
"roleId": "10000",
"usersCount": 7,
"relationshipMappings": [
{
"relationshipKeyName": "create:documents",
"isEnabled": true,
"status": "ACTIVE"
}
]
}
]
}
}Tenants
Get tenant roles
GET
/
v1
/
tenants
/
{id}
/
roles
/
list
Get tenant roles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Page number
Number of items per page
Search term for role name or description
Role status filter
Available options:
ACTIVE, INACTIVE Filter by custom/default roles
Filter by deactivated status
Field to sort by
Example:
"roleName"
Sort order
Available options:
asc, desc Was this page helpful?
āI